Subject: Re: [PATCH 0/8] pack-bitmap-write: speed up bitmap generation

From: Jeff King <[email-masked]>
Date: Wed, 27 May 2026 06:27:16 -0400

On Tue, May 19, 2026 at 12:12:33PM -0400, Taylor Blau wrote:

> This series improves the performance of reachability bitmap generation,
> focusing on very large repositories and the penalty to generate
> pseudo-merge reachability bitmaps.

Very nice numbers. I'm especially excited about patches 1-6, which are
really just speeding up bitmap generation in general, pseudo-merges
aside. I think you could even have split those off into their own
series, and then built the final two as a separate topic, but I am happy
either way.

I looked through the patches and had nothing to complain about.

-Peff